<?php

namespace Oro\Bundle\SaleBundle\Provider;

use Oro\Bundle\EntityBundle\Provider\EntityNameProviderInterface;
use Oro\Bundle\SaleBundle\Entity\Quote;
use Symfony\Contracts\Translation\TranslatorInterface;

class QuoteEntityNameProvider implements EntityNameProviderInterface
{
    /**
     * @var TranslatorInterface
     */
    private $translator;

    /**
     * @param TranslatorInterface $translator
     */
    public function __construct(
        TranslatorInterface $translator
    ) {
        $this->translator = $translator;
    }

    /**
     * {@inheritdoc}
     */
    public function getName($format, $locale, $entity)
    {
        if ($format === EntityNameProviderInterface::FULL && is_a($entity, Quote::class)) {
            return $this->translator->trans(
                'oro.frontend.sale.quote.title.label',
                [
                    '%id%' => $entity->getId()
                ]
            );
        }

        return false;
    }

    /**
     * {@inheritdoc}
     */
    public function getNameDQL($format, $locale, $className, $alias)
    {
        if ($format === EntityNameProviderInterface::FULL && $className === self::class) {
            return sprintf('%s.label', $alias);
        }

        return false;
    }
}
